# mysql.help\_relation Table

`mysql.help_relation` is one of the four tables used by the [HELP command](/docs/server/reference/sql-statements/administrative-sql-statements/help-command.md). It is populated when the server is installed by the `fill_help_tables.sql` script. The other help tables are [help\_topic](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-help_topic-table.md), [help\_category](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-help_category-table.md) and [help\_keyword](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-help_keyword-table.md).

This table uses the [Aria](/docs/server/server-usage/storage-engines/aria.md) storage engine.

The `mysql.help_relation` table contains the following fields:

| Field             | Type             | Null | Key | Default | Description |
| ----------------- | ---------------- | ---- | --- | ------- | ----------- |
| help\_topic\_id   | int(10) unsigned | NO   | PRI | NULL    |             |
| help\_keyword\_id | int(10) unsigned | NO   | PRI | NULL    |             |

## Example

```
...
|           106 |             456 |
|           463 |             456 |
|           468 |             456 |
|           463 |             457 |
|           194 |             458 |
|           478 |             458 |
|           374 |             459 |
|           459 |             459 |
|            39 |             460 |
|            58 |             460 |
|           185 |             460 |
|           264 |             460 |
|           269 |             460 |
|           209 |             461 |
|           468 |             461 |
|           201 |             462 |
|           468 |             463 |
+---------------+-----------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/the-mysql-database-tables/mysql-help_relation-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
